#include <stdio.h>
#include <conio.h>
#include "..\pci4.h"

void main()
{
        long int num_boards;
        long int count = 0;

        num_boards = pci4_available_boards();

        printf("There are %ld PCI4 boards detected.\r\n", num_boards);
        pci4_configure_channel(0, 0, 1, 1, 9.0, 1.0, 0.0);
		while(!kbhit())
			;
		getch();

        while(!kbhit())
        {
                pci4_auto_count_channel(0, 0, &count);
                printf("%ld\r\n", count);
        }
}
